Authentication

auth-refresh

Refresh the access token using a valid refresh token.

POST
/api/v3/auth/refresh

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

bodyobjectrequired
refreshTokenstringrequired

A valid refresh token used to issue a new access token.

Response Headers

X-RATELIMIT-LIMITstringoptional

Request limit within the period.

X-RATELIMIT-REMAININGstringoptional

Number of requests remaining in the current period.

X-RATELIMIT-RESETstringoptional

Time at which the request limit resets.

Response Body

application/json

application/json

curl -X POST "https://api.ssi.com.vn/api/v3/auth/refresh" \  -H "Content-Type: application/json" \  -d '{    "refreshToken": "string"  }'

Success.

{
  "tokenType": "Bearer",
  "accessToken": "string",
  "expiresAt": 1772075293023,
  "refreshToken": "string",
  "refreshExpiresAt": 1772075293023
}

Invalid request.

{
  "code": 400,
  "msg": "apiKey is required"
}